package com.jpsoft.shinestar.modules.base.dao;

import java.util.Date;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MeetingInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MeetingInfoDAO {
	int insert(MeetingInfo entity);
	int update(MeetingInfo entity);
	int exist(String id);
	MeetingInfo get(String id);
	int delete(String id);
	List<MeetingInfo> list();
	List<MeetingInfo> notEndList();
	List<MeetingInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}